Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.log4j
[Groovy] Class Log4jConfig

    java.lang.Object
      org.codehaus.groovy.grails.plugins.log4j.Log4jConfig

    class Log4jConfig
    extends java.lang.Object

Encapsulates the configuration of Log4j.

Authors:
  Graeme Rocher

Since:
  1.1

Property Summary
`static java.lang.Object` | `APPENDERS`
`static org.apache.log4j.PatternLayout` | `DEFAULT_PATTERN_LAYOUT`
`static java.lang.Object` | `LAYOUTS`

Constructor Summary
`Log4jConfig(groovy.util.ConfigObject config)`

Method Summary
`java.lang.Object` | `all(java.util.Map appenderAndPackages)`
`java.lang.Object` | `all(java.lang.Object[] packages)`
`java.lang.Object` | `appender(java.util.Map name, org.apache.log4j.Appender instance)`
`java.lang.Object` | `appender(org.apache.log4j.Appender instance)`
`java.lang.Object` | `appenders(groovy.lang.Closure callable)`
`java.lang.Object` | `configure()`
`java.lang.Object` | `configure(java.util.Map callables)` Configure Log4J from a map whose values are DSL closures.
`java.lang.Object` | `configure(java.util.Collection callables)` Configure Log4J from a collection of DSL closures by calling the closures one after another in sequence.
`java.lang.Object` | `configure(groovy.lang.Closure callable)`
`java.lang.Object` | `debug(java.util.Map appenderAndPackages)`
`java.lang.Object` | `debug(java.lang.Object[] packages)`
`java.lang.Object` | `eachLogger(java.lang.Object packages, groovy.lang.Closure callable)`
`java.lang.Object` | `environments(groovy.lang.Closure callable)`
`java.lang.Object` | `error(java.util.Map appenderAndPackages)`
`java.lang.Object` | `error(java.lang.Object[] packages)`
`java.lang.Object` | `fatal(java.util.Map appenderAndPackages)`
`java.lang.Object` | `fatal(java.lang.Object[] packages)`
`java.lang.Object` | `info(java.util.Map appenderAndPackages)`
`java.lang.Object` | `info(java.lang.Object[] packages)`
`static void` | `initialize(groovy.util.ConfigObject config)`
`java.lang.Object` | `invokeCallable(groovy.lang.Closure callable)`
`java.lang.Object` | `methodMissing(java.lang.String name, java.lang.Object args)`
`java.lang.Object` | `off(java.util.Map appenderAndPackages)`
`java.lang.Object` | `off(java.lang.Object[] packages)`
`java.lang.Object` | `propertyMissing(java.lang.String name)`
`java.lang.Object` | `removeAppender(java.lang.String name)`
`org.apache.log4j.Logger` | `root(groovy.lang.Closure c)`
`java.lang.Object` | `trace(java.util.Map appenderAndPackages)`
`java.lang.Object` | `trace(java.lang.Object[] packages)`
`java.lang.Object` | `warn(java.util.Map appenderAndPackages)`
`java.lang.Object` | `warn(java.lang.Object[] packages)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### APPENDERS

    static final java.lang.Object APPENDERS

### DEFAULT_PATTERN_LAYOUT

    static final org.apache.log4j.PatternLayout DEFAULT_PATTERN_LAYOUT

### LAYOUTS

    static final java.lang.Object LAYOUTS

Constructor Detail

### Log4jConfig

    Log4jConfig(groovy.util.ConfigObject config)

Method Detail

### all

    java.lang.Object all(java.util.Map appenderAndPackages)

### all

    java.lang.Object all(java.lang.Object[] packages)

### appender

    java.lang.Object appender(java.util.Map name, org.apache.log4j.Appender instance)

### appender

    java.lang.Object appender(org.apache.log4j.Appender instance)

### appenders

    @CompileStatic
    java.lang.Object appenders(groovy.lang.Closure callable)

### configure

    java.lang.Object configure()

### configure

    java.lang.Object configure(java.util.Map callables)

  Configure Log4J from a map whose values are DSL closures. This simply calls the closures in the order they come out of the map's iterator. This is to allow configuration like:

       log4j.main = {
           // main Log4J configuration in Config.groovy
       }

       log4j.extra = {
           // additional Log4J configuration in an external config file
       }

  In this situation, `config.log4j` is a ConfigObject, which is an extension of LinkedHashMap, and thus returns its sub-keys in order of definition.

### configure

    java.lang.Object configure(java.util.Collection callables)

  Configure Log4J from a collection of DSL closures by calling the closures one after another in sequence.

### configure

    java.lang.Object configure(groovy.lang.Closure callable)

### debug

    java.lang.Object debug(java.util.Map appenderAndPackages)

### debug

    java.lang.Object debug(java.lang.Object[] packages)

### eachLogger

    java.lang.Object eachLogger(java.lang.Object packages, groovy.lang.Closure callable)

### environments

    @CompileStatic
    java.lang.Object environments(groovy.lang.Closure callable)

### error

    java.lang.Object error(java.util.Map appenderAndPackages)

### error

    java.lang.Object error(java.lang.Object[] packages)

### fatal

    java.lang.Object fatal(java.util.Map appenderAndPackages)

### fatal

    java.lang.Object fatal(java.lang.Object[] packages)

### info

    java.lang.Object info(java.util.Map appenderAndPackages)

### info

    java.lang.Object info(java.lang.Object[] packages)

### initialize

    @CompileStatic
    static void initialize(groovy.util.ConfigObject config)

### invokeCallable

    @CompileStatic
    java.lang.Object invokeCallable(groovy.lang.Closure callable)

### methodMissing

    java.lang.Object methodMissing(java.lang.String name, java.lang.Object args)

### off

    java.lang.Object off(java.util.Map appenderAndPackages)

### off

    java.lang.Object off(java.lang.Object[] packages)

### propertyMissing

    java.lang.Object propertyMissing(java.lang.String name)

### removeAppender

    java.lang.Object removeAppender(java.lang.String name)

### root

    @CompileStatic
    org.apache.log4j.Logger root(groovy.lang.Closure c)

### trace

    java.lang.Object trace(java.util.Map appenderAndPackages)

### trace

    java.lang.Object trace(java.lang.Object[] packages)

### warn

    java.lang.Object warn(java.util.Map appenderAndPackages)

### warn

    java.lang.Object warn(java.lang.Object[] packages)

Groovy Documentation